%% [d50,d50Err]=calcD50(d,m,mErr)
% d = particle sizes
% m = cumulative mass @d, steadily increasing
% mErr = error of mass values

function [d50]=calcD50(d,m,mErr)

% %% test
% d=x
% m=y1
% mErr=y1std

m50 = m(end)/2;

% find first entry above m50
for i=1:length(d)
    if m50 < m(i)
        j = i;
        break
    elseif m50 >= m(end)
        j=length(d);
        break
    end
end

% interpolate between adjacent m-d-pairs
d50Val = d(j) - (d(j)-d(j-1)) * ( (m(j)-m50) / (m(j)-m(j-1)) );
d50Err = mean([mErr(j-1),mErr(j)]);

d50=[d50Val,d50Err];

end