%{
% ym = markerPosInterpol(x1, x2, xm, y1, y2)
% 
% linearly interpolate between [x1,y1] and [x2,y2] 
% to get the value ym corresponding to xm (=x_middle)
% 
% Fadri Pestalozzi 2017
%}


function ym = markerPosInterpol(x1, x2, xm, y1, y2)
    
    % avoid division by zero
    % assume ym=y1 if x- or y-values are too close together
    % 1==1-eps/4   would be too close  -->  ans = 1
    
    if x1==x2 || y1==y2
        ym = y1;
    else
        
	ym = y1 + ...
        (xm-x1)/(x2-x1) * ...
        (y2-y1);
    
    end
end