% create errorbar at point [xi,yi] with adjustable tip width
% yiErr = error value
% xTipWidth = half-width of errorbar tip
% barColor = color of errorbar

function plotErrorbarWidths(xi,yi,yiErr,xTipWidth,barColor)

% plot bar arms
xLo = xi - xTipWidth;
xHi = xi + xTipWidth;
xBarTips = [xLo,xHi];  
yHi = [yi + yiErr, yi + yiErr];  line(xBarTips, yHi, 'color',barColor);  
yLo = [yi - yiErr, yi - yiErr];  line(xBarTips, yLo, 'color',barColor);

% plot bar
line([xi,xi],[yLo(1),yHi(1)], 'color',barColor)
 
end