%{
% plotPos(figH)
% 
% set position of plot with figure handle "figH"
%
% Fadri Pestalozzi, 2016
%}

function plotPos(figH)

% units = pixels, get the screen size and create a figure window
set(0,'Units','pixels') 
scnsize = get(0,'ScreenSize');

% figure header
% set(figH,'defaulttextinterpreter','latex');

%{
The figure Position property only includes the drawable extent 
of the window, exclusive of the window borders. 
Obtain the entire window's size from the OuterPosition property, 
and compare the two:
%}

position = get(figH,'Position');
outerpos = get(figH,'OuterPosition');
borders = outerpos - position;

%{
The left, right, and bottom borders are each 4 pixels wide.
The top border, which contains a menu bar and a figure toolbar 
is 75-4, or 71 pixels wide.

same size fig2
%}

% % % fig2 = figure;


%% two figures on the right
% edge = -borders(1)/2;
% 
% % height of bottom bar
% h_b = 44;
% h1 = h_b/2;
% 
% % pos=[x,y,w,h]
% pos_tgt = [scnsize(3)/2 + edge,...
% scnsize(4)/2 + edge + h1,...
% scnsize(3)/2 + edge,...
% scnsize(4)/2 - h1];
% 
% pos2 = [pos_tgt(1),...
% edge + h_b,...
% pos_tgt(3),...
% pos_tgt(4)];

%% one figure on the right, 1/2
edge = -borders(1)/2;

% height of bottom bar
h_b = 44;
h1 = h_b;

% pos=[x,y,w,h]
pos_tgt = [scnsize(3)/2 + edge,...
edge + h1,...
scnsize(3)/2 + edge,...
scnsize(4) - h1];

%% one figure on the right, 1/3
% edge = -borders(1)/2;
% 
% % height of bottom bar
% h_b = 44;
% h1 = h_b;
% 
% % pos=[x,y,w,h]
% pos_tgt = [scnsize(3)*2/3,...
% edge + h1,...
% scnsize(3)/3 - edge + 6,...
% (scnsize(4) - h1)];

%% Reposition the two figures by changing their OuterPosition properties

set(figH,'OuterPosition',pos_tgt) 
% % % set(fig2,'OuterPosition',pos2)


end