%% directories
close all; clear all; clc; %#ok<CLALL>

% MATLAB functions (*.m)
dirHome = cd;      

% data directories
cd mat;         
dirMat = cd;
cd(dirHome)

% plot directory
cd plots;        
dirPlots = cd;      
cd(dirHome)

%% load data
cd(dirMat) 

figName = 'G_A__In_1mm';
d=load('A_In_1mm'); Y1=d.data; Y1Label = 'A_{In,1mm} [-]';
d=load('G_In_1mm'); Y2=d.data; Y2Label = 'G_{In,1mm} [-]'; 

cd(dirHome)

%% prepare plot

% mIn
x=Y2(1,:);
xErr=Y2(2,:);

% L
y=Y1(1,:);
yErr=Y1(2,:);

%% plot prepare
hold on

% figure header
figH=figure(1);
plotPos(figH)
colors=plotColors;
hold on; 

% font
% set(gca,'FontSize',16)  % ,'fontWeight','bold'
tic_fontsize = 15;
axis_fontsize = 18;
line_width = 1.5;
set(gca,'FontSize',tic_fontsize)

%% plot data
hold on; grid on

% first simple plot to access markers via legend handles, then overlay
% error plot

xlim([0.6 1])
ylim([1 2.6])

i=1; h1=plot(x(i), y(i), 'b.','markersize',16);  ploterr(x(i), y(i), xErr(i), yErr(i), 'b','abshhy',0.012, 'abshhx',0.035);
i=2; h2=plot(x(i), y(i), 'bo','markersize',11);  ploterr(x(i), y(i), xErr(i), yErr(i), 'b','abshhy',0.012, 'abshhx',0.035);
i=3; h3=plot(x(i), y(i), 'rs','markersize',11);  ploterr(x(i), y(i), xErr(i), yErr(i), 'r','abshhy',0.012, 'abshhx',0.035);
i=4; h4=plot(x(i), y(i), 'bx','markersize',13);  ploterr(x(i), y(i), xErr(i), yErr(i), 'b','abshhy',0.012, 'abshhx',0.035);
i=5; h5=plot(x(i), y(i), 'kd','markersize',11);  ploterr(x(i), y(i), xErr(i), yErr(i), 'k','abshhy',0.012, 'abshhx',0.035);
i=6; h6=plot(x(i), y(i), 'k^','markersize',11);  ploterr(x(i), y(i), xErr(i), yErr(i), 'k','abshhy',0.012, 'abshhx',0.035);

H=[h1;h2;h3;h4;h5;h6];
M{1,1}='IT 30 kV_{ }';
M{1,2}='IT 40 kV, E_{hi}';
M{1,3}='IT 40 kV, E_{lo}';
M{1,4}='IT 50 kV_{ }';
M{1,5}='SF 140 kV_{ }';
M{1,6}='SF 200 kV_{ }';
legend(H,M,'location','southwest')

xlabel(Y2Label,'FontSize',axis_fontsize)
ylabel(Y1Label,'FontSize',axis_fontsize)


% save plot MANUALLY
saveFig(figName,figH,dirHome,dirPlots)