%% directories
close all; clear all; clc; %#ok<CLALL>

% MATLAB functions (*.m)
dirHome = cd;      

% data directories
cd mat;         
dirMat = cd;
cd(dirHome)

% plot directory
cd plots;        
dirPlots = cd;      
cd(dirHome)

%% choose data to load
cd(dirMat) 

% figName = 'L_EP';
% d=load('EP_J_P.mat'); X=d.data; XLabel = 'E_{P} [J/P]'; 
% d=load('L.mat'); Y=d.data*100; YLabel = 'L [%]';
% legPos='northEast';

% figName = 'L_D50';
% d=load('D50_mm.mat');   X=d.data; XLabel = 'D_{50} [mm]';
% d=load('L.mat'); Y=d.data*100; YLabel = 'L [%]'; 
% legPos='northEast';

figName = 'EP_D50';
d=load('EP_J_P.mat'); X=d.data; XLabel = 'E_{P} [J/P]'; 
d=load('D50_mm.mat'); Y=d.data; YLabel = 'D_{50} [mm]';
legPos='southEast';

x=X(1,:); xErr=X(2,:);
y=Y(1,:); yErr=Y(2,:);

cd(dirHome)

%% plot prepare
hold on

% figure header
figH=figure(1);
plotPos(figH)
colors=plotColors;
hold on; 

% font
tic_fontsize = 15;
axis_fontsize = 18;
line_width = 1.5;
set(gca,'FontSize',tic_fontsize)

%% plot data
hold on; grid on

% first simple plot to access markers via legend handles, then overlay error plot
i=1; h1=plot(x(i), y(i), 'b.','markersize',16);  ploterr(x(i), y(i), xErr(i), yErr(i), 'b', 'hhx',0.001, 'hhy',0.001);
i=2; h2=plot(x(i), y(i), 'bo','markersize',11);  ploterr(x(i), y(i), xErr(i), yErr(i), 'b', 'hhx',0.01, 'hhy',0.01);%, 'abshhx',1.0, 'abshhy',0.2);
i=3; h3=plot(x(i), y(i), 'rs','markersize',11);  ploterr(x(i), y(i), xErr(i), yErr(i), 'r', 'hhx',0.01, 'hhy',0.01);%, 'abshhx',1.0, 'abshhy',0.2);
i=4; h4=plot(x(i), y(i), 'bx','markersize',22);  ploterr(x(i), y(i), xErr(i), yErr(i), 'b', 'hhx',0.01, 'hhy',0.01);%, 'abshhx',1.0, 'abshhy',0.2);
i=5; h5=plot(x(i), y(i), 'kd','markersize',11);  ploterr(x(i), y(i), xErr(i), yErr(i), 'k', 'hhx',0.01, 'hhy',0.01);%, 'abshhx',1.0, 'abshhy',0.2);
i=6; h6=plot(x(i), y(i), 'k^','markersize',11);  ploterr(x(i), y(i), xErr(i), yErr(i), 'k', 'hhx',0.01, 'hhy',0.01);%,'abshhx',1.0, 'abshhy',0.2);

H=[h1;h2;h3;h4;h5;h6];
M{1,1}='IT 30 kV_{ }';
M{1,2}='IT 40 kV, E_{hi}';
M{1,3}='IT 40 kV, E_{lo}';
M{1,4}='IT 50 kV_{ }';
M{1,5}='SF 140 kV_{ }';
M{1,6}='SF 200 kV_{ }';
legend(H,M,'location',legPos)

xlabel(XLabel,'FontSize',axis_fontsize)
ylabel(YLabel,'FontSize',axis_fontsize)


% save plot
saveFig(figName,figH,dirHome,dirPlots)