%% directories
close all; clear all; clc; %#ok<CLALL>
dirHome = cd;

cd plots  
dirPlots = cd; cd(dirHome)

cd mat
dirMat = cd; cd(dirHome)

%% choose data to plot
cd(dirMat)

% XLabel = 'Korngre [m]';   YLabel ='Konzentration In [mg/kg]';
XLabel = 'particle size [m]';  YLabel ='concentration In [mg/kg]';

% cIn, separated into 2 plots --> comment one of two last rows
cInMeanData=load('cInMean_ppm.mat'); cInMean=cInMeanData.data;
data=load('cIn_ppm.mat'); d=data.data; figName = 'cIn_ppm';  legLocation='NorthEast';  lineStyle='none';
data=load('cInOpt_ppm.mat'); opt=data.data;
XTickLabel = {'2-20','20-125'};  tPos=[0.74,950]; startPlot=1; endPlot=2; figName=[figName,'_Filter']; legLocation='NorthWest'; XLabel=[XLabel,' \newline        filtration'];  ylimVals=[0 16000]; % Konz. Teil 1, Filter
% XTickLabel = {'0-125','<180','<250','<500','<1000','<2500','<4000','<6300'}; tPos=[5.05,310];  startPlot=3; endPlot=10; figName=[figName,'_Sieb']; XLabel=[XLabel,'\newline  sieve analysis']; ylimVals=[0 1400]; % Konz. Teil 2, Siebung 

cd(dirHome)


%% prepare plot
figH=figure(1);
plotPos(figH) 
hold on; grid on;

FontSize=13;

% cIn
U030   =d(2,2:end);
U030std=d(3,2:end);
U040   =d(4,2:end);
U040std=d(5,2:end);
U050   =d(6,2:end);
U050std=d(7,2:end);
U140   =d(8,2:end);
U140std=d(9,2:end);
U200   =d(10,2:end);
U200std=d(11,2:end);


x = 0:length(XTickLabel)-1;


%% plot
lineWidth=1.5;
fontSize=14;
colors=plotColors;

errorbar(x,U030(startPlot:endPlot),U030std(startPlot:endPlot), 'color',colors(2,:),'linewidth', lineWidth, 'linestyle', lineStyle, 'marker','.','markersize',16)
errorbar(x,U040(startPlot:endPlot),U040std(startPlot:endPlot), 'color',colors(2,:),'linewidth', lineWidth, 'linestyle', lineStyle, 'marker','o','markersize',11)
errorbar(x,opt(1,startPlot:endPlot),opt(2,startPlot:endPlot), 'color',colors(3,:),'linewidth', lineWidth, 'linestyle', lineStyle,'marker','s','markersize',11)
ylim(ylimVals)

errorbar(x,U050(startPlot:endPlot),U050std(startPlot:endPlot), 'color',colors(2,:),'linewidth', lineWidth, 'linestyle', lineStyle, 'marker','x','markersize',11)
errorbar(x,U140(startPlot:endPlot),U140std(startPlot:endPlot), 'color',colors(1,:),'linewidth', lineWidth, 'linestyle', lineStyle, 'marker','d','markersize',11)
errorbar(x,U200(startPlot:endPlot),U200std(startPlot:endPlot), 'color',colors(1,:),'linewidth', lineWidth, 'linestyle', lineStyle, 'marker','^','markersize',11)

% plot cInMean
plot([x(1),x(end)],[cInMean(1),cInMean(1)],'linestyle','--','color','k','linewidth',1.5)
% tH=text(tPos(1),tPos(2),' Konzentration In \newline Durchschnitt MZ');
tH=text(tPos(1),tPos(2),'concentration In \newline average');
set(tH,'FontSize',12,'FontWeight','bold')

legend('IT 30 kV_{ }','IT 40 kV, E_{hi}','IT 40 kV, E_{lo}','IT 50 kV_{ }','SF 140 kV_{ }','SF 200 kV_{ }','Location',legLocation)


%% new XTicks
set(gca,'XTick',linspace(x(1),x(end),length(x)))
set(gca,'XTickLabel',XTickLabel)

xlabel(XLabel,'fontsize',fontSize)
ylabel(YLabel,'fontsize',fontSize)

%% X-Tick locations and limits
Xt = x;
% Xl = [0 max(x)];
Xl = [-0.2 max(x)+0.2];  % extend xlim
set(gca,'XTick',Xt,'XLim',Xl);

%% Y-axis-limits
ax = axis;    % Current axis limits
axis(axis);    % Set the axis limit modes (e.g. XLimMode) to manual
Yl = ax(3:4);  % Y-axis limits


%% remove automatic x-ticks from bar plot to replace with rotated ones
set(gca,'XTickLabel','')

% Place rotated text labels instead of default XTickLabels - squeeze in :p
t = text(Xt,Yl(1)*ones(1,length(Xt)),XTickLabel);
set(t,'HorizontalAlignment','right','VerticalAlignment','top', ...
      'Rotation',45,'FontSize',FontSize);

%% reposition xlabel to account for rotated XTickLabels
xl_h = get(gca,'XLabel');
set(xl_h,'Units','characters');

xlabel_shift=3;
xl_pos=get(xl_h,'Position');
set(xl_h,'Position',xl_pos - [0 xlabel_shift 0]);

%% font weight
set(gca,'FontSize',FontSize)

%% save
saveFig(figName,figH,dirHome,dirPlots)
