%% directories
close all; clear all; clc; %#ok<CLALL>

% MATLAB functions (*.m)
dirHome = cd;      

% data directories
cd mat;         
dirMat = cd;
cd(dirHome)

% plot directory
cd plots;        
dirPlots = cd;      
cd(dirHome)

%% load data
cd(dirMat) 

figName = 'etaAP';
dd=load('etaAP.mat'); 
d=dd.data; 

% - --> %
d=d*100;

y=d(1,:);
err=d(2,:);


cd(dirHome)

%% prepare plot

XTickLabel = {'30','40, E_{hi}','40, E_{lo}','50','140','200'}; 
x = 0:length(XTickLabel)-1;
% x_w = [0 0]; 
% y1_w = [0 40]; y2_w = y1_w;

%% plot prepare 
% next
figH=figure(1); plotPos(figH); colors=plotColors; hold on; grid on
FontSize=15; tic_fontsize = 15; axis_fontsize = 18; line_width = 1.5; set(gca,'FontSize',tic_fontsize)

%% plot data
% first simple plot to access markers via legend handles, then overlay error plot
i=1; h1=plot(x(i), y(i), 'b.','markersize',16);  plotErrorbarWidths(x(i),y(i),err(i),0.1,'b')
i=2; h2=plot(x(i), y(i), 'bo','markersize',11);  plotErrorbarWidths(x(i),y(i),err(i),0.1,'b')
i=3; h3=plot(x(i), y(i), 'rs','markersize',11);  plotErrorbarWidths(x(i),y(i),err(i),0.1,'r')
i=4; h4=plot(x(i), y(i), 'bx','markersize',14);  plotErrorbarWidths(x(i),y(i),err(i),0.1,'b')
i=5; h5=plot(x(i), y(i), 'kd','markersize',11);  plotErrorbarWidths(x(i),y(i),err(i),0.1,'k')
i=6; h6=plot(x(i), y(i), 'k^','markersize',11);  plotErrorbarWidths(x(i),y(i),err(i),0.1,'k')

H=[h1;h2;h3;h4;h5;h6];
M{1,1}='IT 30 kV_{ }';
M{1,2}='IT 40 kV, E_{hi}';
M{1,3}='IT 40 kV, E_{lo}';
M{1,4}='IT 50 kV_{ }';
M{1,5}='SF 140 kV_{ }';
M{1,6}='SF 200 kV_{ }';
legend(H,M,'location','southeast')

xlim([-1 6])
ylim([0 100])
% ylim([0 50])
% xlabel('voltage [kV]','FontSize',axis_fontsize)
xlabel('Spannung [kV]','FontSize',axis_fontsize)
ylabel('\eta_{AP} [%]','FontSize',axis_fontsize)

%% new XTicks
set(gca,'XTick',linspace(x(1),x(end),length(x)))
set(gca,'XTickLabel',XTickLabel)

%% X-Tick locations and limits
Xt = x;
% Xl = [0 max(x)];
Xl = [-0.2 max(x)+0.2];  % extend xlim
set(gca,'XTick',Xt,'XLim',Xl);

%% Y-axis-limits
ax = axis;    % Current axis limits
axis(axis);    % Set the axis limit modes (e.g. XLimMode) to manual
Yl = ax(3:4);  % Y-axis limits


%% remove automatic x-ticks from bar plot to replace with rotated ones
set(gca,'XTickLabel','')

% Place rotated text labels instead of default XTickLabels - squeeze in :p
t = text(Xt,Yl(1)*ones(1,length(Xt)),XTickLabel);
set(t,'HorizontalAlignment','right','VerticalAlignment','top', ...
      'Rotation',45,'FontSize',FontSize);

%% reposition xlabel to account for rotated XTickLabels
xl_h = get(gca,'XLabel');
set(xl_h,'Units','characters');

xlabel_shift=3;
xl_pos=get(xl_h,'Position');
set(xl_h,'Position',xl_pos - [0 xlabel_shift 0]);


%% save plot MANUALLY
saveFig(figName,figH,dirHome,dirPlots)