%%
clc
clear all
close all
%% input
% set directories
dirHome = cd;
cd 'plots'; 
dirPlots = cd;
cd(dirHome)
cd 'xls';
dirXls = cd;

plotName='fig02_t_I__IT_30_40_50';

% get data
fileName='data.xlsx';
sheetName='IT_current';
range='C3:I256';
% range1='D2:E1025';
% range2='H2:I601';
% range3='L2:M601';

[num,~,~]=xlsread(fileName,sheetName,range);
% [num1,~,~]=xlsread(fileName,sheetName,range1);
% [num2,~,~]=xlsread(fileName,sheetName,range2);
% [num3,~,~]=xlsread(fileName,sheetName,range3);

t1=num(:,1);
t2=num(:,1);
t3=num(:,1);

t1=t1-t1(1);
t2=t2-t2(1);
t3=t3-t3(1);

I1=num(:,2);  % 30 kV
I2=num(:,3);  % 40 kV
I3=num(:,4);  % 50 kV

cd(dirHome)

%% prepare plot
i=0;
i=i+1; legNames{i}='30 kV, 750 nF';
i=i+1; legNames{i}='40 kV, 750 nF';
i=i+1; legNames{i}='50 kV, 500 nF';

%% plot and save
% color saturation
light=1; dark=0.65;  
color_v=[ [0 0 0];      [0 0 light];        [light 0 0]; ...
          [light 0 light];  [0 dark 0];    
          [dark 0 0];       [0 0 dark];
          [dark dark 0];    [dark 0 dark];   ];


figH=figure(1); hold on; j=0;

% shift by 0.9
cut1 = find(t1>2.5);
t1=t1(cut1(1):end);  t1=t1-t1(1);
I1=I1(cut1(1):end);

cut3 = find(t3>0.8);
t3=t3(cut3(1):end);  t3=t3-t3(1);
I3=I3(cut3(1):end);


%% markers
[t_m1, I_m1] = markerPos(t1, I1, 17);
[t_m2, I_m2] = markerPos(t2, I2, 15);
[t_m3, I_m3] = markerPos(t3, I3, 12);

      
%% plot lines and markers
plot(t_m1,I_m1,'color',color_v(1,:),'linestyle','none','marker','.','markersize',16)    
plot(t_m2,I_m2,'color',color_v(2,:),'linestyle','none','marker','o','markersize',10)    
plot(t_m3,I_m3,'color',color_v(3,:),'linestyle','none','marker','x','markersize',10)    

plot(t1,I1,'color',color_v(1,:))
plot(t2,I2,'color',color_v(2,:))
plot(t3,I3,'color',color_v(3,:))

% labels
xlabel('time [\mus]');
ylabel('current [kA]');
% title(plotName)
legend(legNames,'Location','NorthEast')

xlim([0,20])
grid on
set(gca,'fontsize',14)

%% save
saveFig(plotName,figH,dirHome,dirPlots)
