%% directories
close all; clear all; clc; %#ok<CLALL>

% MATLAB functions (*.m)
dirHome = cd;      

% data directories
cd mat;         
dirMat = cd;
cd(dirHome)

% plot directory
cd plots;        
dirPlots = cd;      
cd(dirHome)

%% load data
cd(dirMat) 

figName = 'm0_g__EP_kJ';
d=load('m0_g');  Y1=d.data; Y1Label = 'm_0 [g]';
d=load('EP_J'); Y2=d.data; Y2=Y2./1000; Y2Label = 'E_{P,tot} [kJ]'; noLine=1;
y1_w = [90 130]; y2_w = [9 13];

cd(dirHome)

%% prepare plot

XTickLabel = {'IT 30 kV_{ }','IT 40 kV\newline       E_{hi}','IT 40 kV\newline       E_{lo}','IT 50 kV_{ }','SF 140 kV_{ }','SF 200 kV_{ }'}; 
x = 0:length(XTickLabel)-1;
XLabel = 'Versuchsreihen'; 
x_w = [-0.2 5.2]; 

y1=Y1(1,:);
y1std=Y1(2,:);

y2=Y2(1,:);
y2std=Y2(2,:);

%% plot
figH=plotYYErrorbar(x, y1, y1std, x, y2, y2std, ...
                    XLabel, Y1Label, Y2Label, ...
                    XTickLabel, x_w, y1_w, y2_w, noLine);

             
%% save plot MANUALLY
saveFig(figName,figH,dirHome,dirPlots)