%% directories
close all; clear all; clc; %#ok<CLALL>
dirHome = cd;

cd plots  
dirPlots = cd; cd(dirHome)

cd mat
dirMat = cd; cd(dirHome)

%% choose data to plot
cd(dirMat)

% % mCumul
% data=load('mCumulOptim_pc.mat'); opt=data.data;  ylimits=[0 109];
% data=load('mCumul_pc.mat'); d=data.data; figName = 'mCumul_pc'; legLocation='NorthWest'; lineStyle='-';  YLabel = 'glass breakage mass [%]';  %  YLabel = 'Ausgangsmasse [%]';   

% mInCumul
data=load('mInCumulOpt_pc.mat'); opt=data.data;
data=load('mInCumul_pc.mat'); d=data.data; figName = 'mInCumul_pc';  legLocation='SouthEast'; lineStyle='-'; YLabel = 'In mass [%]';  % YLabel = 'Masse In [%]';

cd(dirHome)


%% prepare plot
figH=figure(1);
plotPos(figH) 
hold on; grid on;

FontSize=13;
% XLabel = ' Korngre [m]';
XLabel = 'particle size [m]';
XTickLabel = {'0','<125','<180','<250','<500','<1000','<2500','<4000','<6300'}; startPlot=3;  % exclude filter frac

% mCumul ohne EVA 100%
d(:,end)=[];
U030   =d(2,2:end);  f=100/U030(end); U030=U030.*f;
U030std=d(3,2:end);  U030std=U030std.*f;
U040   =d(4,2:end);  f=100/U040(end); U040=U040.*f;
U040std=d(5,2:end);  U040std=U040std.*f;
U050   =d(6,2:end);  f=100/U050(end); U050=U050.*f;
U050std=d(7,2:end);  U050std=U050std.*f;
U140   =d(8,2:end);  f=100/U140(end); U140=U140.*f;
U140std=d(9,2:end);  U140std=U140std.*f;
U200   =d(10,2:end);  f=100/U200(end); U200=U200.*f;
U200std=d(11,2:end);  U200std=U200std.*f;



%% D50
if strcmp(figName,'mCumul_pc')
    D50=zeros(5,3);
    D50(:,1)=[30,40,50,140,200]';

    x=[20,125,125,180,250,500,1000,2500,4000,6300];
    D50(1,2:3)=calcD50(x,U030,U030std);
    D50(2,2:3)=calcD50(x,U040,U040std);
    D50(3,2:3)=calcD50(x,U050,U050std);
    D50(4,2:3)=calcD50(x,U140,U140std);
    D50(5,2:3)=calcD50(x,U200,U200std);
end

x = 0:length(XTickLabel)-1;


%% plot
lineWidth=1.5;
fontSize=14;
colors=plotColors;

% OPTION 2 mCumul, with markers, start with 0
errorbar(x,[0,U030(startPlot:end)],[0,U030std(startPlot:end)], 'color',colors(2,:),'linewidth', lineWidth, 'linestyle', lineStyle, 'marker','.','markersize',16)
errorbar(x,[0,U040(startPlot:end)],[0,U040std(startPlot:end)], 'color',colors(2,:),'linewidth', lineWidth, 'linestyle', lineStyle, 'marker','o','markersize',11)
errorbar(x,[0,opt(2,:)],[0,opt(3,:)], 'color',colors(3,:),'linewidth', lineWidth, 'linestyle', lineStyle,                          'marker','s','markersize',11)
errorbar(x,[0,U050(startPlot:end)],[0,U050std(startPlot:end)], 'color',colors(2,:),'linewidth', lineWidth, 'linestyle', lineStyle, 'marker','x','markersize',11)
errorbar(x,[0,U140(startPlot:end)],[0,U140std(startPlot:end)], 'color',colors(1,:),'linewidth', lineWidth, 'linestyle', lineStyle, 'marker','d','markersize',14)
errorbar(x,[0,U200(startPlot:end)],[0,U200std(startPlot:end)], 'color',colors(1,:),'linewidth', lineWidth, 'linestyle', lineStyle, 'marker','^','markersize',11)
ylim([0 109])

legend('IT 30 kV_{ }','IT 40 kV, E_{hi}','IT 40 kV, E_{lo}','IT 50 kV_{ }','SF 140 kV_{ }','SF 200 kV_{ }','Location',legLocation)


%% new XTicks
set(gca,'XTick',linspace(x(1),x(end),length(x)))
set(gca,'XTickLabel',XTickLabel)

xlabel(XLabel,'fontsize',fontSize)
ylabel(YLabel,'fontsize',fontSize)

%% X-Tick locations and limits
Xt = x;
% Xl = [0 max(x)];
Xl = [-0.2 max(x)+0.2];  % extend xlim
set(gca,'XTick',Xt,'XLim',Xl);

%% Y-axis-limits
ax = axis;    % Current axis limits
axis(axis);    % Set the axis limit modes (e.g. XLimMode) to manual
Yl = ax(3:4);  % Y-axis limits


%% remove automatic x-ticks from bar plot to replace with rotated ones
set(gca,'XTickLabel','')

% Place rotated text labels instead of default XTickLabels - squeeze in :p
t = text(Xt,Yl(1)*ones(1,length(Xt)),XTickLabel);
set(t,'HorizontalAlignment','right','VerticalAlignment','top', ...
      'Rotation',45,'FontSize',FontSize);

%% reposition xlabel to account for rotated XTickLabels
xl_h = get(gca,'XLabel');
set(xl_h,'Units','characters');

xlabel_shift=3;
xl_pos=get(xl_h,'Position');
set(xl_h,'Position',xl_pos - [0 xlabel_shift 0]);

%% font weight
set(gca,'FontSize',FontSize) 

%% save
% saveFig(figName,figH,dirHome,dirPlots)
