%% directories
close all; clear all; clc; %#ok<CLALL>

% MATLAB functions (*.m)
dirHome = cd;      

% data directories
cd mat;         
dirMat = cd;
cd(dirHome)

% plot directory
cd plots;        
dirPlots = cd;      
cd(dirHome)

%% load data
cd(dirMat) 

figName = 'mIn125_vs_Tot_mg';
d=load('mIn125_mg');  Y1=d.data; Y1Label = 'mIn_{<125m} [mg]';
d=load('mInTot_mg'); Y2=d.data; Y2Label = 'mIn_{tot} [mg]'; noLine=1;
d=load('mIntotAvg_mg'); Yavg=d.data;
y1_w = [15 40]; 
y2_w = [15 40];

cd(dirHome)

%% prepare plot
% \newline       
XTickLabel = {'30 _{ }','40 E_{hi}','40 E_{lo}','50 _{ }','140 _{ }','200 _{ }'}; 
x = 0:length(XTickLabel)-1;
XLabel = 'Voltage [kV]'; 
x_w = [-0.2 5.2]; 

y1=Y1(1,:);
y1std=Y1(2,:);

y2=Y2(1,:);
y2std=Y2(2,:);

%% plot
figH=plotYYErrorbarLine(x, y1, y1std, x, y2, y2std, ...
                    XLabel, Y1Label, Y2Label, ...
                    XTickLabel, x_w, y1_w, y2_w, noLine, Yavg(1), Yavg(2));
             
%% save plot MANUALLY
saveFig(figName,figH,dirHome,dirPlots)