%{
% saveFig(figName,figH,dirHome,dirPlots)
% 
% Save the MATLAB-figure "figH" into the folder "plots"
% 
% Possible output formats:
% - .fig  =  MATLAB figure
%            - Contains the plotted data
%            - Can be manipulated by: xlim([lo hi]), grid on, ...
%            - Open the figure same way as opening files, i.e. by "Ctrl+O"
% - .jpg
% - .bmp
% - .png
% - .eps (scalable vector graphic)
% 
% Fadri Pestalozzi 2017
%}


function saveFig(figName,figH,dirHome,dirPlots)

% convert points to commas to ensure successful saving
figName (figName =='.') = ',';

cd(dirPlots)
      
saveas(figH,figName,'fig')
saveas(figH,figName,'png') % smaller filesize for simple plots
% saveas(figH,figName,'jpg') % for fotos
% saveas(figH,figName,'epsc') % scalable vector graphics //// SAVE EPS MANUALLY TO PREVENT CHANGES
% saveas(figH,figName,'svg') % scalable vector graphics / only new MATLAB VERSION!!

%% test adaptive output resolution --> works fine but no legend printed
% rez=200; %resolution (dpi) of final graphic
% print(figH,fullfile(dirPlots,[figName,'_print']),'-dpng',['-r',num2str(rez)],'-opengl') %save file

cd(dirHome)

end